JanosVM v0.6.0 Java API

## edu.utah.janosvm.resources
Class NameSpaceGroup

    java.lang.Object
      |
      +--edu.utah.janosvm.resources.NameSpaceGroup

public final class NameSpaceGroup
extends java.lang.Object

Helper class for NameSpaceSpec that specifies which class groups to import from a team. In addition, you can specify a view group that will map the class names in the class group to something more appropriate for the new team.

Author:
  Tim Stack, Utah Janos Team
See Also:
  `NameSpaceSpec`

Constructor Summary
`NameSpaceGroup(TeamHandle team, java.lang.String cg)` Construct a NameSpaceGroup object with the given parameters and the "identity" view group.
`NameSpaceGroup(TeamHandle team, java.lang.String cg, java.lang.String vg)` Construct a NameSpaceGroup object with the given parameters.

Method Summary
`java.lang.String` `getClassGroup()`
`TeamHandle` `getTeam()`
`java.lang.String` `getViewGroup()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NameSpaceGroup

    public NameSpaceGroup(TeamHandle team,
                          java.lang.String cg,
                          java.lang.String vg)

  Construct a NameSpaceGroup object with the given parameters.
  Parameters:
    `team` - The team to import classes from.
    `cg` - The name of the class group type.
    `vg` - The name of the view group type.

### NameSpaceGroup

    public NameSpaceGroup(TeamHandle team,
                          java.lang.String cg)

  Construct a NameSpaceGroup object with the given parameters and the "identity" view group.
  Parameters:
    `team` - The team to import classes from.
    `cg` - The name of the class group type.

Method Detail

### getTeam

    public TeamHandle getTeam()

  Returns:
    The team the classes will be imported from.

### getClassGroup

    public java.lang.String getClassGroup()

  Returns:
    The name of the class group type that will be imported.

### getViewGroup

    public java.lang.String getViewGroup()

  Returns:
    The name of the view group type that will be imported.

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

JanosVM v0.6.0 Java API

This documentation is Copyright (C) 2000-2002 The University of Utah. All Rights Reserved. See the documentation license for distribution terms and restrictions.
Documentation, software, and mailing lists for the JanosVM can be found at the Janos Project web page: http://www.cs.utah.edu/flux/janos/
Generated on Mar 17, 2002